
Redmine - Patch #610

Add XSD as accepted XML Filetype.

2008-02-05 19:35 - Kit Plummer

Status: Closed Start date: 2008-02-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

Easy patch:

Index: lib/redmine/mime_type.rb

===================================================================

--- lib/redmine/mime_type.rb    (revision 1118)

+++ lib/redmine/mime_type.rb    (working copy)

@@ -31,7 +31,7 @@

       'text/x-python' => 'py',

       'text/x-ruby' => 'rb,rbw,ruby,rake',

       'text/x-sh' => 'sh',

-      'text/xml' => 'xml',

+      'text/xml' => 'xml,xsd',

       'text/yaml' => 'yml,yaml',

       'image/gif' => 'gif',

       'image/jpeg' => 'jpg,jpeg,jpe',

History

#1 - 2008-02-05 19:42 - Thomas Lecavelier

- File add_xsd_as_xml_mimetype_SOLO.patch added

WARNING! You let your proposal for a previous patch in your local copy. The correct patch is attached.

#2 - 2008-02-05 20:11 - Kit Plummer

- File added_xsd_mxml.patch added

There's a whole slew of XML filetypes...like Adobe's Flash.  Not sure if those should be captured in this patch too.  Would help me out - so, I'm adding

mxml to the list now.

#3 - 2008-02-07 19:06 - Jean-Philippe Lang

- Status changed from New to Closed

Added with a few other extensions in r1128.

Files

add_xsd_as_xml_mimetype.patch 1.89 KB 2008-02-05 Kit Plummer

add_xsd_as_xml_mimetype_SOLO.patch 473 Bytes 2008-02-05 Thomas Lecavelier

added_xsd_mxml.patch 442 Bytes 2008-02-05 Kit Plummer
